## galapi
Class Comment

    java.lang.Object
      galapi.Item
          galapi.Node
              galapi.Comment

public class Comment
extends Node

A `Comment` node in the XQuery data model

See Also:
  `Node`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`Comment(xsString s)` Constructor for a `Comment` whose string value is given by the `xsString` argument

Method Summary
`protected static int` `commentToItem(int i)`

Methods inherited from class galapi.Node
`attributes, baseURI, children, nativeAttributes, nativeBaseURI, nativeChildren, nativeNodeKind, nativeNodeName, nativeParent, nativeTypedValue, nodeKind, nodeName, parent, typedValue`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Comment

    public Comment(xsString s)
            throws GalapiException

  Constructor for a `Comment` whose string value is given by the `xsString` argument

Method Detail

### commentToItem

    protected static int commentToItem(int i)